﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true"
    CodeBehind="Home.aspx.cs" Inherits="BlueDot.Eam.Core.Server.Home" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajaxToolkit" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="Intro" style="width: 785px;">
        <asp:Panel runat="server" ID="ModuleListPanel">
            <h2 class="Intro" style="display: inline;">
                <asp:Literal ID="Literal1" runat="server" Text="<%$ resources:Title %>"/>
            </h2>

            <div style="float: right;">
                <p class="Intro" style="display: inline;">
                    <asp:Literal ID="Literal2" runat="server" Text="<%$ resources:NewLicense %>"/>:
                    <asp:TextBox ID="LicenseTextBox" CssClass="LicenseKeyTextBox" runat="server"></asp:TextBox>&nbsp;<asp:LinkButton
                        ID="EnterLicenseLinkButton" runat="server" OnClick="OnInstallLicense" Text="<%$ resources:Install %>"></asp:LinkButton></p>
            </div>

            <div class="DataListContent">
            <asp:DataList ID="DataList1" runat="server" DataSourceID="LinqDataSource1" Width="100%"
                CellPadding="2" CellSpacing="1">
                <ItemTemplate>
                    <div class="Module">
                        <asp:Panel ID="ContentHeaderPanel" runat="server">
                            <div style="float: left; cursor: pointer;">
                                <asp:Image ID="ExpandCollapseImage" runat="server" ToolTip="<%$ resources:MoreDetailsToolTip %>"
                                    ImageAlign="Middle" ImageUrl="~/Images/Expand.gif" />
                            </div>
                        </asp:Panel>
                        <asp:Panel ID="Panel2" runat="server" Height="30px">
                            <div class="listItem">
                                <asp:Image ID="InstalledImage" runat="server" ImageAlign="Middle" ToolTip="<%$ resources:InstalledToolTip %>"
                                    ImageUrl="~/Images/Symbol Check.gif" Visible='<%# Eval("Installed") %>' />
                                <asp:Image ID="NotInstalledImage" runat="server" ImageAlign="Middle" ToolTip="<%$ resources:ModuleNotInstalled %>"
                                    ImageUrl="~/Images/Symbol Check (2).gif" Visible='<%# !(bool)Eval("Installed") %>' />
                            </div>
                            <div class="listItem" style="width: 160px;">
                                <asp:Label ID="Label1" runat="server" Text='<%# Server.HtmlEncode(Eval("Name").ToString()) %>' />
                            </div>
                            <div class="listItem">
                                <asp:Label ID="VersionLabel" runat="server" Text='<%# Server.HtmlEncode(Eval("Version").ToString()) %>' Visible='<%# Eval("Installed") %>' />
                                <asp:Label ID="ModuleIdLabel" runat="server" Text='<%# Server.HtmlEncode(Eval("ModuleId").ToString()) %>' Visible="false" />
                            </div>
                            <div class="listItem" style="width: 300px">
                                <asp:Label ID="LicenseKeyLabel" runat="server" Text='<%# Server.HtmlEncode(Eval("LicenseText").ToString()) %>' /></div>
                            <div style="margin-left: 10px">
                                <asp:HyperLink ID="NumberOfDeviceLicensesLabel" runat="server" Text='<%# Server.HtmlEncode(Eval("NumberOfDevicesText").ToString()) %>'
                                    Visible='<%# Eval("IsLicensed") %>' ToolTip="<%$ resources:ManageLicenseToolTip %>"
                                    NavigateUrl='<%#"~/Licensing.aspx?ModuleId=" + Server.HtmlEncode(Eval("ModuleId").ToString()) %>' />
                            </div>
                        </asp:Panel>
                    </div>
                    <div style="display: inline;">
                        <asp:Panel ID="ContentDetailPanel" runat="server" Height="0px" style="overflow:hidden;">
                            <asp:Panel ID="InstalledPanel" runat="server" Visible='<%# Eval("Installed") %>'>
                                <div style="margin-left: 15px;">
                                    Installed to:'
                                    <%# Server.HtmlEncode(Eval("InstallPath").ToString()) %>'
                                    <br />
                                    <%# Server.HtmlEncode(Eval("LicenseDetailsText").ToString())%>
                                    <br />
                                    <br />
                                    <asp:HyperLink ID="ManageDevicesForModuleLinkButton" runat="server" Text="Manage device licenses"
                                        NavigateUrl='<%#"~/Licensing.aspx?ModuleId=" + Server.HtmlEncode(Eval("ModuleId").ToString()) %>' />
                                    <br />
                                    <%--<asp:LinkButton ID="ManageModuleLinkButton" runat="server" Text=" Manage this module" />--%>
                                </div>
                            </asp:Panel>
                            <asp:Panel ID="Panel1" runat="server" Visible='<%# !(bool)Eval("Installed") %>'>
                                <asp:Literal ID="Literal1" runat="server" Text="<%$ resources:ModuleNotInstalled %>"/>
                            </asp:Panel>
                            <br />
                        </asp:Panel>
                    </div>
                    <ajaxToolkit:CollapsiblePanelExtender ID="CPanel" runat="Server" TargetControlID="ContentDetailPanel"
                        ExpandControlID="ContentHeaderPanel" CollapseControlID="ContentHeaderPanel" Collapsed="true"
                        ImageControlID="ExpandCollapseImage" CollapsedImage="~/Images/Expand.gif" ExpandedImage="~/Images/Collapse.gif"
                        SuppressPostBack="true" />
                </ItemTemplate>
                <AlternatingItemStyle BackColor="Azure" />
            </asp:DataList>
            <br />
            <div style="border-color: #d3d3d3; border-width: 1px; border-style: Solid;">
                <table id="Table1" runat="server" cellpadding="2" cellspacing="1">
                    <tr>
                        <td>
                            <asp:Literal ID="Literal3" runat="server" Text="<%$ resources:InstalledModules %>"/>:
                        </td>
                        <td align="right">
                            <%# InstalledCount  %>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Literal ID="Literal4" runat="server" Text="<%$ resources:LicensedModules %>"/>:
                        </td>
                        <td align="right">
                            <%# LicensedCount %>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:HyperLink ID="ManagedDeviceLinkButton" NavigateUrl="http://www.bluedotsolutions.com/contact.php" runat="server" Text="<%$ resources:PurchaseModules %>"></asp:HyperLink>
                        </td>
                    </tr>
                </table>
            </div>
        </div>
        </asp:Panel>
        <asp:LinqDataSource ID="LinqDataSource1" runat="server" ContextTypeName="BlueDot.Eam.Core.ModuleSupport.Model.ModelDataContext"
            OrderBy="Installed Desc, Name" OnSelected="OnSelected" TableName="Modules">
        </asp:LinqDataSource>
    </div>
</asp:Content>
