<%@ Page Title="" Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true"
    CodeBehind="Site.aspx.cs" Inherits="BlueDot.Eam.Core.Server.Site" %>

<%@ Import Namespace="BlueDot.Eam.Core.ModuleSupport" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajaxToolkit" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">

    <asp:Panel ID="TopSavedNotificationPanel" CssClass="ProgressPanel" runat="server"
        BackColor="LightYellow" Height="20px" HorizontalAlign="Center" Width="100%" Visible="false">
        <asp:Literal ID="Literal1" runat="server" Text="<%$ resources:ChangesSaved %>"/>
    </asp:Panel>
    
    <div class="Intro">
        <h2 class="Intro"><%# Resources.Resources.GeneralSettings %></h2>
        <asp:Label ID="generalErrorLabel" runat="server" ForeColor="Red" Visible="false" />
    </div>
    
    <table class="DataListContent" runat="server" width="615px">
        <tr>
            <td class="SettingsHeader">
                <asp:Button ID="retrieveCustomDataSpyIDsButton"
                            runat="server"
                            Text="<%$ resources:RetrieveDataspies %>"
                            OnClick="OnRetrieveCustomDataSpyIDs" />                           
            </td>
            <td class="SettingsInput" align="right" >
                <asp:Button ID="Button2" runat="server" Text="<%# Resources.Resources.Save %>" OnClick="OnSave" />             
            </td>
            <td style="width: 15px">
            </td>            
        </tr>
        <tr>
            <td class="SettingsHeader">
                <asp:Label ID="inforVersionLabel" runat="server" Text="<%$ resources:InforVersion %>" AssociatedControlID="inforVersionTextBox" />
                <asp:RequiredFieldValidator ID="inforVersionRequiredFieldValidator" runat="server" ControlToValidate="InforVersionTextBox"
                    ErrorMessage="<%$ resources:InforVersionRequired %>" Text="*" SetFocusOnError="true"></asp:RequiredFieldValidator>
            </td>
            <td class="SettingsInput">
                <asp:TextBox ID="inforVersionTextBox" runat="server" Width="400px" Text='<%# CoreSettings.Default.InforVersion %>'></asp:TextBox>
            </td>
            <td style="width: 15px">
            </td>
        </tr>
        <tr style="height: 0px;">
            <td colspan="3" class="SettingsSeparator">
            </td>
        </tr>
        <tr>
            <td class="SettingsHeader">
                <asp:Label ID="Label1" runat="server" Text="<%$ resources:InforConnector %>" AssociatedControlID="ConnectorUrlTextBox" />
                <asp:RequiredFieldValidator ID="UrlRequired" runat="server" ControlToValidate="ConnectorUrlTextBox"
                    ErrorMessage="<%$ resources:InforConnectorRequired %>" Text="*" SetFocusOnError="true"></asp:RequiredFieldValidator>
            </td>
            <td class="SettingsInput">
                <asp:TextBox ID="ConnectorUrlTextBox" runat="server" Width="400px" Text='<%# CoreSettings.Default.InforConnectorUrl %>' ReadOnly='<%# !SetupAdminAccountAllowed %>'></asp:TextBox>
            </td>
            <td style="width: 15px">
            </td>
        </tr>
        <tr style="height: 0px;">
            <td colspan="3" class="SettingsSeparator">
            </td>
        </tr>
        <tr>
            <td class="SettingsHeader">
                <asp:Label ID="Label2" runat="server" Text="<%$ resources:Tenant %>" AssociatedControlID="TenantTextBox" />
            </td>
            <td class="SettingsInput">
                <asp:TextBox ID="TenantTextBox" runat="server" Width="400px" Text='<%# CoreSettings.Default.InforTenant %>' ReadOnly='<%# !SetupAdminAccountAllowed %>'></asp:TextBox>
            </td>
        </tr>
        <tr style="height: 0px;">
            <td colspan="3" class="SettingsSeparator">
            </td>
        </tr>
        <tr>
            <td class="SettingsHeader">
                <asp:Label ID="Label4" runat="server" Text="<%$ resources:InforUser %>" AssociatedControlID="UserNameTextBox" />
            </td>
            <td class="SettingsInput">
                <asp:TextBox ID="UserNameTextBox" runat="server" Width="400px" Text='<%# CoreSettings.Default.InforUserName %>'></asp:TextBox>
            </td>
        </tr>
        <tr style="height: 0px;">
            <td colspan="3" class="SettingsSeparator">
            </td>
        </tr>
        <tr>
            <td class="SettingsHeader">
                <asp:Label ID="Label5" runat="server" Text="<%$ resources:InforPassword %>" AssociatedControlID="PasswordTextBox" />
            </td>
            <td class="SettingsInput">
                <asp:CheckBox ID="ChangePasswordCheckBox" runat="server" AutoPostBack="true" OnCheckedChanged="OnSetPassword"
                    Text="<%$ resources:ChangePassword %>" />
                <asp:Panel ID="ChangePasswordPanel" runat="server" Visible="false">
                    <br />
                    <asp:Label ID="PasswordLabel" runat="server" Text="<%$ resources:NewPassword %>" AssociatedControlID="PasswordTextBox" />
                    <asp:TextBox TextMode="Password" ID="PasswordTextBox" runat="server" Width="400px"></asp:TextBox>
                    <asp:Label ID="confirmPasswordLabel" runat="server" Text="<%$ resources:NewPasswordConfirm %>" AssociatedControlID="ConfirmPasswordTextBox" />
                    <asp:TextBox TextMode="Password" ID="ConfirmPasswordTextBox" runat="server" Width="400px"></asp:TextBox>
                </asp:Panel>
            </td>
        </tr>
        <tr style="height: 0px;">
            <td colspan="3" class="SettingsSeparator">
            </td>
        </tr>
        <tr>
            <td class="SettingsHeader">
                <asp:Label ID="Label6" runat="server" Text="<%$ resources:InforOrg %>" AssociatedControlID="InforOrgTextBox" />
            </td>
            <td class="SettingsInput">
                <asp:TextBox ID="InforOrgTextBox" runat="server" Width="400px" Text='<%# CoreSettings.Default.InforOrg %>'></asp:TextBox>
            </td>
        </tr>
        <tr style="height: 0px;">
            <td colspan="3" class="SettingsSeparator">
            </td>
        </tr>
        <tr>
            <td class="SettingsHeader">
                <asp:Label ID="Label7" runat="server" Text="<%$ resources:UserGroups %>" AssociatedControlID="UserGroupTextBox" />
            </td>
            <td class="SettingsInput">
                <asp:TextBox ID="UserGroupTextBox" ToolTip="<%$ resources:UserGroupsToolTip %>"
                    runat="server" Width="400px" TextMode="MultiLine" Text='<%# CoreSettings.Default.MobileUserGroups %>'></asp:TextBox>
            </td>
        </tr>
        <tr style="height: 0px;">
            <td colspan="3" class="SettingsSeparator">
            </td>
        </tr>
        <tr runat="server" Visible='<%# SetupAdminAccountAllowed %>'>
            <td class="SettingsHeader">
                <asp:Label ID="Label3" runat="server" Text="<%$ resources:SecurityOptions %>" AssociatedControlID="AdminCheckBox" />
            </td>
            <td class="SettingsInput">
                <asp:CheckBox ID="AdminCheckBox" runat="server" Width="400px" Text="<%$ resources:EnableSetupAdmin %>"
                    Checked='<%# CoreSettings.Default.SetupAdminAccountEnabled %>' />
            </td>
        </tr>
    </table>
    <br />
    <br />
    <asp:Panel ID="InventorySettingsPanel" runat="server" Visible="false">
        <div class="Intro">
            <h2 class="Intro">
                <%# Resources.Resources.InventorySettings %></h2>                
        </div>
        
        <asp:GridView id="inventoryGridView"
                      runat="server"
                      CssClass="SettingsGridView"
                      AutoGenerateColumns="false"
                      ShowHeader="false"
                      ShowFooter="false"
                      GridLines="None" >
            <Columns>
                <asp:TemplateField>
                    <ItemTemplate>
                        <asp:Label ID="settingNameLabel"
                                   runat="server"
                                   Text='<%# Server.HtmlEncode(Eval("SettingName").ToString()) %>' />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField>
                    <ItemTemplate>
                        <asp:TextBox ID="settingValueTextBox"
                                     runat="server"
                                     Text='<%#Eval("SettingValue") %>'
                                     style="width: 400px;" 
                                     ReadOnly='<%#Eval("IsReadOnly") %>'/>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>                         
    </asp:Panel>
    <br />
    <br />
    <asp:Panel ID="InventoryEmailSettingsPanel" runat="server" Visible="false">
        <div class="Intro">
            <h2 class="Intro">
                <%# Resources.Resources.EmailNotification %> </h2>
            <asp:Label ID="inventoryEmailErrorLabel" runat="server" ForeColor="Red" Visible="false" />
        </div>
        <table id="InventoryEmailSettingsTable" class="DataListContent" runat="server" width="615px">
            <tr>
                <td class="SettingsHeader">
                    <asp:Label ID="InvSmtpServerLabel" runat="server" Text="<%$ resources:SmtpServer %>" AssociatedControlID="InvSmtpServerTextBox" />
                </td>
                <td class="SettingsInput">
                    <asp:TextBox ID="InvSmtpServerTextBox" runat="server" Width="400px"></asp:TextBox>
                </td>
            </tr>
            <tr style="height: 0px;">
                <td colspan="3" class="SettingsSeparator">
                </td>
            </tr>
            <tr>
                <td class="SettingsHeader">
                    <asp:Label ID="InvSmtpPortLabel" runat="server" Text="<%$ resources:SmtpPort %>" AssociatedControlID="InvSmtpPortTextBox" />
                </td>
                <td class="SettingsInput">
                    <asp:TextBox ID="InvSmtpPortTextBox" runat="server" Width="400px" ></asp:TextBox>
                </td>
            </tr>
            <tr style="height: 0px;">
                <td colspan="3" class="SettingsSeparator">
                </td>
            </tr>
            <tr>
                <td class="SettingsHeader">
                    <asp:Label ID="InvServerEmailsLabel" runat="server" Text="<%$ resources:EmailAddresses %>" AssociatedControlID="InvServerEmailsTextBox" />
                </td>
                <td class="SettingsInput">
                    <asp:TextBox ID="InvServerEmailsTextBox" runat="server" Width="400px" ></asp:TextBox>
                </td>
            </tr>
            <tr style="height: 0px;">
                <td colspan="3" class="SettingsSeparator">
                </td>
            </tr>
            <tr>
                <td class="SettingsHeader">
                    <asp:Label ID="InvNotificationFromEmailAddressLabel" runat="server" Text="<%$ resources:EmailFromAddress %>" AssociatedControlID="InvNotificationEmailFromAddressTextBox" />
                </td>
                <td class="SettingsInput">
                    <asp:TextBox ID="InvNotificationEmailFromAddressTextBox" runat="server" Width="400px" ></asp:TextBox>
                </td>
            </tr>
        </table>
    </asp:Panel>
    <br />
    <br />
    <asp:Panel ID="WorkSettingsPanel" runat="server" Visible="false">
        <div class="Intro">
            <h2 class="Intro">
                <%# Resources.Resources.WorkSettings %></h2>
        </div>
        <table id="WorkSettingsTable" class="DataListContent" runat="server" width="615px">
            <tr>
                <td class="SettingsHeader">
                    <asp:Label ID="workWebApplciationRootDirectoryLabel" runat="server" Text="<%$ resources:WorkWebRoot %>" AssociatedControlID="workWebApplicationRootDirectoryTextBox" />
                </td>
                <td class="SettingsInput">
                    <asp:TextBox ID="workWebApplicationRootDirectoryTextBox" runat="server" Width="400px" Text='<%# WorkSettings.Default.WorkWebApplicationRootDirectory %>'></asp:TextBox>
                </td>
            </tr>
            <tr style="height: 0px;">
                <td colspan="3" class="SettingsSeparator">
                </td>
            </tr>
            <tr>
                <td class="SettingsHeader">
                    <asp:Label ID="Label14" runat="server" Text="<%$ resources:QuarantineUrl %>" AssociatedControlID="QuarantineUrlTextBox" />
                </td>
                <td class="SettingsInput">
                    <asp:TextBox ID="QuarantineUrlTextBox" runat="server" Width="400px" Text='<%# WorkSettings.Default.QuarantineUrl %>'></asp:TextBox>
                </td>
            </tr>
            <tr style="height: 0px;">
                <td colspan="3" class="SettingsSeparator">
                </td>
            </tr>
            <tr>
                <td class="SettingsHeader">
                    <asp:Label ID="Label8" runat="server" Text="<%$ resources:SmtpServer %>" AssociatedControlID="QuarantineSmtpServerTextBox" />
                </td>
                <td class="SettingsInput">
                    <asp:TextBox ID="QuarantineSmtpServerTextBox" runat="server" Width="400px" 
                        Text='<%# WorkSettings.Default.QuarantineSmtpServer %>'></asp:TextBox>
                </td>
            </tr>
            <tr style="height: 0px;">
                <td colspan="3" class="SettingsSeparator">
                </td>
            </tr>
            <tr>
                <td class="SettingsHeader">
                    <asp:Label ID="Label9" runat="server" Text="<%$ resources:SmtpPort %>" AssociatedControlID="QuarantineSmtpPortTextBox" />
                </td>
                <td class="SettingsInput">
                    <asp:TextBox ID="QuarantineSmtpPortTextBox" runat="server" Width="400px" 
                        Text='<%# WorkSettings.Default.QuarantineSmtpPort %>'></asp:TextBox>
                </td>
            </tr>
            <tr style="height: 0px;">
                <td colspan="3" class="SettingsSeparator">
                </td>
            </tr>
            <tr>
                <td class="SettingsHeader">
                    <asp:Label ID="Label15" runat="server" Text="<%$ resources:SnapshotPath %>" AssociatedControlID="SnapshotPathTextBox" />
                </td>
                <td class="SettingsInput">
                    <asp:TextBox ID="SnapshotPathTextBox" runat="server" Width="400px" Text='<%# WorkSettings.Default.SnapshotPath %>'></asp:TextBox>
                </td>
            </tr>
            <tr style="height: 0px;">
                <td colspan="3" class="SettingsSeparator">
                </td>
            </tr>
            <tr>
                <td class="SettingsHeader">
                    <asp:Label ID="Label13" runat="server" Text="<%$ resources:Options %>" AssociatedControlID="EnforceConcurrencyCheckBox" />
                </td>
                <td class="SettingsInput">
                    <asp:CheckBox ID="EnforceConcurrencyCheckBox" runat="server" Width="400px" Text=" Enforce Concurrency"
                        Checked='<%# WorkSettings.Default.EnforceConcurrency %>' />
                </td>
            </tr>
            <tr style="height: 0px;">
                <td colspan="3" class="SettingsSeparator">
                </td>
            </tr>
            <tr>
                <td class="SettingsHeader">
                    <asp:Label ID="EmailLogIntervalMinutesLabel" runat="server" Text="<%$ resources:EmailLogInterval %>" AssociatedControlID="EmailLogIntervalMinutesTextBox" />
                </td>
                <td class="SettingsInput">
                    <asp:TextBox ID="EmailLogIntervalMinutesTextBox" runat="server" Width="400px" Text='<%# WorkSettings.Default.EmailLogIntervalMinutes %>'></asp:TextBox>
                </td>
                <td style="width: 15px">
                </td>
            </tr>
            <tr style="height: 0px;">
                <td colspan="3" class="SettingsSeparator">
                </td>
            </tr>
            <tr>
                <td class="SettingsHeader">
                    <asp:Label ID="LVMATLPART_DataSpyIDLabel" runat="server" Text="<%$ resources:LVMATLPART %>" AssociatedControlID="LVMATLPART_DataSpyIDTextBox" />
                </td>
                <td class="SettingsInput">
                    <asp:TextBox ID="LVMATLPART_DataSpyIDTextBox" runat="server" Width="400px" Text='<%# WorkSettings.Default.LVMATLPART_DataSpyID %>' ReadOnly="True"></asp:TextBox>
                </td>
            </tr>                        
            <tr>
                <td align="right" colspan="2" style="padding-top: 8px;">
                    <%--<asp:Button ID="Button1" runat="server" Text="Save" OnClick="OnSave" />--%>
                </td>
                <td>
                </td>
            </tr>
        </table>
    </asp:Panel>>
    <br />
    <br />
    <asp:Panel ID="WorkEmailSettingsPanel" runat="server" Visible="false">
        <div class="Intro">
            <h2 class="Intro">
                <%# Resources.Resources.EmailNotification %></h2>
            <asp:Label ID="workEmailErrorLabel" runat="server" ForeColor="Red" Visible="false" />
        </div>
        <table id="WorkEmailSettingsTable" class="DataListContent" runat="server" width="615px">
            <tr>
                <td class="SettingsHeader">
                    <asp:Label ID="SmtpServerLabel" runat="server" Text="<%$ resources:SmtpServer %>" AssociatedControlID="SmtpServerTextBox" />
                </td>
                <td class="SettingsInput">
                    <asp:TextBox ID="SmtpServerTextBox" runat="server" Width="400px"></asp:TextBox>
                </td>
            </tr>
            <tr style="height: 0px;">
                <td colspan="3" class="SettingsSeparator">
                </td>
            </tr>
            <tr>
                <td class="SettingsHeader">
                    <asp:Label ID="SmtpPortLabel" runat="server" Text="<%$ resources:SmtpPort %>" AssociatedControlID="SmtpPortTextBox" />
                </td>
                <td class="SettingsInput">
                    <asp:TextBox ID="SmtpPortTextBox" runat="server" Width="400px" ></asp:TextBox>
                </td>
            </tr>
            <tr style="height: 0px;">
                <td colspan="3" class="SettingsSeparator">
                </td>
            </tr>
            <tr>
                <td class="SettingsHeader">
                    <asp:Label ID="ServerEmailsLabel" runat="server" Text="<%$ resources:EmailAddresses %>" AssociatedControlID="ServerEmailsTextBox" />
                </td>
                <td class="SettingsInput">
                    <asp:TextBox ID="ServerEmailsTextBox" runat="server" Width="400px" ></asp:TextBox>
                </td>
            </tr>
            <tr style="height: 0px;">
                <td colspan="3" class="SettingsSeparator">
                </td>
            </tr>
            <tr>
                <td class="SettingsHeader">
                    <asp:Label ID="NotificationFromEmailAddressLabel" runat="server" Text="<%$ resources:EmailFromAddress %>" AssociatedControlID="NotificationEmailFromAddressTextBox" />
                </td>
                <td class="SettingsInput">
                    <asp:TextBox ID="NotificationEmailFromAddressTextBox" runat="server" Width="400px" ></asp:TextBox>
                </td>
            </tr>
        </table>
    </asp:Panel>
    <table id="SaveTable" class="DataListContent" runat="server" width="615px">
        <tr>
            <td align="right" colspan="2" style="padding-top: 8px;">
                <asp:Button ID="Button3" runat="server" Text="<%# Resources.Resources.Save %>" OnClick="OnSave" />
            </td>
            <td>
            </td>
        </tr>
    </table>
    <br />
    <asp:Panel ID="SavedNotificationPanel" CssClass="ProgressPanel" runat="server" BackColor="LightYellow"
        Height="20px" HorizontalAlign="Center" Width="100%" Visible="false">
        <asp:Literal ID="Literal2" runat="server" Text="<%$ resources:ChangesSaved %>"/>
    </asp:Panel>
    <ajaxToolkit:RoundedCornersExtender ID="SavedRoundedCornersExtender" runat="server"
        BehaviorID="SavedRoundedCornersBehavior" TargetControlID="SavedNotificationPanel"
        Radius="6" Corners="All" />
</asp:Content>
